Author Topic: Crashes for some reason  (Read 104 times)

Offline NForcer

  • Newbie
  • *
  • Posts: 2
    • View Profile
Crashes for some reason
« on: 28-05-2018, 17:05:57 »
I wanted to play online so I created an online account. But I want to play singleplayer instead suddenly. It was going fine until that I chose Sammatus. I was in class selection screen. I switched to the Finnish side. The assault and MG "boxes" were missing. And as soon as I pick a spawn point, it crashed. It keeps happening. I think it has something to do with the online account. It happened when I switched to offline account too. Can someone help me? Oh and I downloaded the mod without BF2 installed. I used the installer someone suggested instead.

EDIT: Found the error note. This is what it says.
****** sammatus_coop, gpm_coop, 64 - 2018-05-29 00:06:08 (wall time: 1058.15930176) ******
[1058.15930176] gameplayPlugin::warn: exception creating plugin limitKit {'slot': 1, 'soldier': 'se_heavy', 'kit': 'SE_SMGAssault', 'limit': 0.1875, 'team': 1}:
  Kit 'se_smgassault' is not defined or has not been loaded for this map.
Traceback (most recent call last):
  File "python/game/gameplayPlugin.py", line 316, in bf2_init
  File "python/game/plugins/limitKit.py", line 658, in __init__
  File "python/game/plugins/limitKit.py", line 512, in __init__
  File "python/game/plugins/limitKit.py", line 461, in __init__
  File "python/game/utilities.py", line 670, in verifyTemplateExistence
Exception: Kit 'se_smgassault' is not defined or has not been loaded for this map.

[1058.15930176] gameplayPlugin::warn: exception creating plugin limitKit {'slot': 3, 'soldier': 'se_heavy', 'kit': 'SE_LMG_Limited', 'limit': 0.1875, 'team': 1}:
  Kit 'se_lmg_limited' is not defined or has not been loaded for this map.
Traceback (most recent call last):
  File "python/game/gameplayPlugin.py", line 316, in bf2_init
  File "python/game/plugins/limitKit.py", line 658, in __init__
  File "python/game/plugins/limitKit.py", line 512, in __init__
  File "python/game/plugins/limitKit.py", line 461, in __init__
  File "python/game/utilities.py", line 670, in verifyTemplateExistence
Exception: Kit 'se_lmg_limited' is not defined or has not been loaded for this map.

[1058.15930176] gameplayPlugin::warn: exception in plugin.round_start <game.plugins.limitKit.limitKitNCO object at 0x26807A10> <game.plugins.limitKit.limitKitNCO object at 0x26807A10>:
  Kit limit for slot 1 of team 1 has not been defined.
Traceback (most recent call last):
  File "python/game/gameplayPlugin.py", line 346, in round_start
  File "python/game/plugins/limitKit.py", line 638, in round_start
  File "python/game/plugins/limitKit.py", line 132, in on_round_start
Exception: Kit limit for slot 1 of team 1 has not been defined.


****** sammatus_coop, gpm_coop, 64 - 2018-05-29 00:06:08 (wall time: 1058.15930176) ******
[1058.15930176] gameplayPlugin::warn: exception creating plugin limitKit {'slot': 1, 'soldier': 'se_heavy', 'kit': 'SE_SMGAssault', 'limit': 0.1875, 'team': 1}:
  Kit 'se_smgassault' is not defined or has not been loaded for this map.
Traceback (most recent call last):
  File "python/game/gameplayPlugin.py", line 316, in bf2_init
  File "python/game/plugins/limitKit.py", line 658, in __init__
  File "python/game/plugins/limitKit.py", line 512, in __init__
  File "python/game/plugins/limitKit.py", line 461, in __init__
  File "python/game/utilities.py", line 670, in verifyTemplateExistence
Exception: Kit 'se_smgassault' is not defined or has not been loaded for this map.

[1058.15930176] gameplayPlugin::warn: exception creating plugin limitKit {'slot': 3, 'soldier': 'se_heavy', 'kit': 'SE_LMG_Limited', 'limit': 0.1875, 'team': 1}:
  Kit 'se_lmg_limited' is not defined or has not been loaded for this map.
Traceback (most recent call last):
  File "python/game/gameplayPlugin.py", line 316, in bf2_init
  File "python/game/plugins/limitKit.py", line 658, in __init__
  File "python/game/plugins/limitKit.py", line 512, in __init__
  File "python/game/plugins/limitKit.py", line 461, in __init__
  File "python/game/utilities.py", line 670, in verifyTemplateExistence
Exception: Kit 'se_lmg_limited' is not defined or has not been loaded for this map.

[1058.15930176] gameplayPlugin::warn: exception in plugin.round_start <game.plugins.limitKit.limitKitNCO object at 0x944BD390> <game.plugins.limitKit.limitKitNCO object at 0x944BD390>:
  Kit limit for slot 1 of team 1 has not been defined.
Traceback (most recent call last):
  File "python/game/gameplayPlugin.py", line 346, in round_start
  File "python/game/plugins/limitKit.py", line 638, in round_start
  File "python/game/plugins/limitKit.py", line 132, in on_round_start
Exception: Kit limit for slot 1 of team 1 has not been defined.
« Last Edit: 28-05-2018, 18:05:06 by NForcer »

Offline batistadk

  • Newbie
  • *
  • Posts: 36
    • View Profile
Re: Crashes for some reason
« Reply #1 on: 28-05-2018, 20:05:23 »
Hi NForcer.

I do not use the installer you mentioned, and I don't know what maps it come with, but the thing is, the EF maps in patch 2.52 and 2.53 have no COOP/SP support. I use the MapPack released more than 2 years ago by Darman (http://fhpubforum.warumdarum.de/index.php?topic=20690.0), but Sammatus is showing the same problems as yours, because some Finnish kits were updated with the new Lahti pistol, and the old COOP support version wasn't updated as well.

So, you have two options: try to update the kits in this level by yourself (there is a guide somewhere in the forums explaining it), at your own risk; or wait to some official or unofficial support to the new maps being released.

Best regards,

batistadk